﻿@model eCommerce.Services.Model.CustomerAddress
@{
    ViewBag.Title = "Dirección de Usuario";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<div class="page-header">
    <h1 class="page-title">Direcciones</h1>
    <ol class="breadcrumb">
        <li class="active">Crear / Editar</li>
    </ol>
</div>

<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                <div id="example">
                    @using (Html.BeginForm("CustomerAddressUpdate", "Customers", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off" }))
                    {
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Calle</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" name="Address" value="@Model.Address" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Número</label>
                            <div class="col-sm-5">
                                <input type="text" class="form-control" name="AddressNumber" value="@Model.AddressNumber" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Código Postal</label>
                            <div class="col-sm-5">
                                <input type="text" class="form-control" name="ZipCode" value="@Model.ZipCode" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Piso</label>
                            <div class="col-sm-5">
                                <input type="text" class="form-control" name="Floor" value="@Model.Floor" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Dpto.</label>
                            <div class="col-sm-5">
                                <input type="text" class="form-control" name="Department" value="@Model.Department" />
                            </div>
                        </div>
                        
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Provincia</label>
                            <div class="col-sm-4">
                                <select class="form-control" name="Province" id="Province" data-plugin="select2">
                                    @if (TempData["Provinces"] != null)
                                    {
                                        foreach (var item in (SelectList)TempData["Provinces"])
                                        {
                                            <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                        }
                                    }
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Ciudad</label>
                            <div class="col-sm-4">
                                <select class="form-control" name="CityId" id="CityId" data-plugin="select2"></select>
                            </div>
                        </div>          
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Predeterminada</label>
                            <div class="col-sm-1">
                                <div class="checkbox-custom checkbox-primary">
                                    <input type="checkbox" id="Default" name="Default" class="js-switch-small" data-plugin="switchery" data-size="small" @(Model.Default ? "checked" : "") />
                                </div>
                            </div>
                        </div>
                        <div class="text-right">
                            <button type="submit" class="btn btn-primary btn-success" id="btnSave">Grabar</button>
                            <button type="button" class="btn btn-default" onclick="window.location.href = '/Customers/CustomerUpdate/@ViewData["CustomerId"]'">Cancelar</button>
                        </div>
                        @Html.HiddenFor(model => model.CustomerAddressId)
                        <input type="hidden" name="CustomerId" id="CustomerId" value="@ViewData["CustomerId"]" />
                    }
                </div>
            </div>
        </div>
    </div>
</div>


@section Scripts {


    <script type="text/javascript">

        $(document).ready(function () {

            $("#CityId").CascadingDropDown("#Province", '/Customers/AsyncCities/',
            {
                promptText: 'Elija una Ciudad',
                postData: function () {
                    return { ProvinceId: $('#Province').val() };
                },
                onLoading: function () {
                    $(this).css("background-color", "#ffffff");
                },
                onLoaded: function () {
                    $(this).val('@Model.CityId.ToString()').change();
                    $(this).animate({ backgroundColor: '#ffffff' }, 300);
                }
            });

            $('#Province').change();
        });


        (function () {
            $('.form-horizontal').formValidation({
                framework: "bootstrap",
                button: {
                    selector: '#btnSave',
                    disabled: 'disabled'
                },
                icon: null,
                fields: {
                    Address: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Dirección es requerido.'
                            }
                        }
                    },
                    AddressNumber: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Número es requerido.'
                            }
                        }
                    },
                    ZipCode: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Código Postal es requerido.'
                            }
                        }
                    }
                }
            });
        })();

    </script>
}
